Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class Preferences

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.Preferences

    public class Preferences

extends Object

Container for shell preferences.

Version:
  $Id: Preferences.java 12278 2008-05-04 12:00:38Z user57 $
Author:
  Jason Dillon

Field Summary
`static IO.Verbosity` | `verbosity`

Constructor Summary
`Preferences()`

Method Summary
`static void` | `addChangeListener(PreferenceChangeListener listener)`
`static void` | `clear()`
`static String` | `get(String name)`
`static String` | `get(String name, String defaultValue)`
`static String` | `getEditor()`
`static String` | `getParserFlavor()`
`static boolean` | `getSanitizeStackTrace()`
`static boolean` | `getShowLastResult()`
`static String[]` | `keys()`
`static void` | `put(String name, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbosity

    public static IO.Verbosity verbosity

Constructor Detail

### Preferences

    public Preferences()

Method Detail

### getShowLastResult

    public static boolean getShowLastResult()

### getSanitizeStackTrace

    public static boolean getSanitizeStackTrace()

### getEditor

    public static String getEditor()

### getParserFlavor

    public static String getParserFlavor()

### keys

    public static String[] keys()
                         throws BackingStoreException

  Throws:
    `BackingStoreException`

### get

    public static String get(String name,
                             String defaultValue)

### get

    public static String get(String name)

### put

    public static void put(String name,
                           String value)

### clear

    public static void clear()
                      throws BackingStoreException

  Throws:
    `BackingStoreException`

### addChangeListener

    public static void addChangeListener(PreferenceChangeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD